phpBB groupcp.php SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1202247 漏洞类型 输入验证
发布时间 2003-12-29 更新时间 2009-07-12
CVE编号 CVE-2003-1215 CNNVD-ID CNNVD-200312-065
漏洞平台 N/A CVSS评分 4.6
|漏洞来源
https://www.securityfocus.com/bid/9314
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200312-065
|漏洞详情
phpBB是一款由PHP编写的WEB论坛应用程序,支持多种数据库系统,可使用在多种Unix和Linux操作系统下。phpBB包含的groupcp.php脚本对用户提交的URI参数缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入攻击,可获得敏感信息或者修改数据库。问题是groupcp.php脚本对$sql_in变量缺少充分过滤,提交恶意SQL命令作为参数给$sql_in变量,可以删除组中任何一个成员。或获得部分敏感信息。
|受影响的产品
phpBB Group phpBB 2.0.7 phpBB Group phpBB 2.0.6 phpBB Group phpBB 2.0.5 phpBB Group phpBB 2.0.4 phpBB Group phpBB 2.0.3 phpBB Group phpBB 2.0.2 phpBB Gro
|参考资料

来源:BID
名称:9314
链接:http://www.securityfocus.com/bid/9314
来源:www.phpbb.com
链接:http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=161943
来源:BUGTRAQ
名称:20031229SQLInjectioninphpBB'sgroupcp.php
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=107273069130885&w=2
来源:XF
名称:phpbb-groupcp-sql-injection(14096)
链接:http://xforce.iss.net/xforce/xfdb/14096